.TH "mca_ptl_gm_component_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_gm_component_t \- GM PTL component.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_gm.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_component_1_0_0_t\fP \fBsuper\fP"
.br
.RI "\fIbase PTL module \fP"
.ti -1c
.RI "\fBmca_ptl_gm_module_t\fP ** \fBgm_ptl_modules\fP"
.br
.RI "\fIarray of available PTL modules \fP"
.ti -1c
.RI "size_t \fBgm_num_ptl_modules\fP"
.br
.RI "\fInumber of ptls actually used \fP"
.ti -1c
.RI "size_t \fBgm_max_ptl_modules\fP"
.br
.RI "\fImaximum number of ptls - available \fP"
.ti -1c
.RI "uint32_t \fBgm_max_port_number\fP"
.br
.RI "\fImaximum number of ports by board \fP"
.ti -1c
.RI "uint32_t \fBgm_max_boards_number\fP"
.br
.RI "\fImaximum number of boards on the node \fP"
.ti -1c
.RI "uint32_t \fBgm_free_list_num\fP"
.br
.RI "\fIinitial size of free lists \fP"
.ti -1c
.RI "uint32_t \fBgm_free_list_max\fP"
.br
.RI "\fImaximum size of free lists \fP"
.ti -1c
.RI "uint32_t \fBgm_free_list_inc\fP"
.br
.RI "\fInumber of elements to alloc when growing free lists \fP"
.ti -1c
.RI "uint32_t \fBgm_segment_size\fP"
.br
.RI "\fIsize of the allocated segment \fP"
.ti -1c
.RI "uint32_t \fBgm_eager_limit\fP"
.br
.RI "\fInumber of bytes before the rendez-vous protocol \fP"
.ti -1c
.RI "char * \fBgm_port_name\fP"
.br
.RI "\fIthe name used to get the port \fP"
.ti -1c
.RI "mca_ptl_gm_proc_t * \fBgm_local\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_procs\fP"
.br
.ti -1c
.RI "\fBopal_list_t\fP \fBgm_send_req\fP"
.br
.ti -1c
.RI "ompi_free_list_t \fBgm_unexpected_frags_data\fP"
.br
.ti -1c
.RI "\fBopal_mutex_t\fP \fBgm_lock\fP"
.br
.RI "\fIlock for accessing module state \fP"
.in -1c
.SH "Detailed Description"
.PP 
GM PTL component. 
.PP
.SH "Field Documentation"
.PP 
.SS "uint32_t \fBmca_ptl_gm_component_t::gm_eager_limit\fP"
.PP
number of bytes before the rendez-vous protocol 
.PP
If the < size of the message is less than this number then GM < use a eager protocol. 

.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
